/**
 * Copyright (C) 2019-2021 Carl Kittelberger <icedream@icedream.pw>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

export interface RunInformation {
  name: string,
  displayName: string,
  twitchName: string,
  console: string,
  commentators: string,
  description: string,
  startTime: string,
  endTime: string,
  runTime: string,
  setupTime: string,
  coop: boolean,
  category: string,
  releaseYear: number,
  runners: Array<number>,
  canonicalURL: string,
}

export type Thumbnails = Thumbnail[];

export interface Thumbnail {
  sourceSize: string;
  fileName: string;
}

export interface VideoEntry {
  downloadFileName: string,
  title: string,
  run?: RunInformation,
  runners?: Array<string>,
  hosts?: Array<string>,
  duration?: number | string,
  slug: string,
  sourceVideoID: string,
  sourceVideoURL: string,
  sourceVideoStart: number | string,
  sourceVideoEnd: number | string,
  youtubeVideoID?: string,
  thumbnails: Thumbnails,
  youtubeVideoURL?: string,
}

export interface VideoList {
  lastUpdatedAt: string,
  videos: Array<VideoEntry>
}
